# Flamingo

{% hint style="info" %}
Compatible with Ghost 4.x
{% endhint %}

## Development

The theme uses Gulp and NodeJs (Node v12 or v14) for development purposes. You'll need Gulp and Nodejs installed globally. After that from the theme's root directory run the following commands.

```bash
$ npm install 
$ npm run dev
```

Now you can edit the SCSS and JS files in `/assets/src/` , which will be compiled to `/assets/built/` automatically.

The `build` Gulp task minifies all the CSS & JS files and packages the theme into `dist/<theme-name>.zip`, which you can then upload to your site.

```bash
$ npm run build
```

## Customizations

To change the **colors** or **fonts** in the theme, you can modify the `/assets/src/styles/partials/_variables.scss` file. After modifications, complile the SASS files again by following command –

```bash
$ npm run build
```

This will generate the zipped theme file in `/dist` directory.&#x20;

## How to Activate Disqus Comments

1. Open up the `post.hbs` file in any text editor.
2. Look for the comments section.
3. Add the following code snippet in the comments section.

   ```markup
      <section class="post-comments">
        <div id="disqus_thread"></div>
        <script>
            var disqus_config = function () {
                this.page.url = '{{url absolute="true"}}';
                this.page.identifier = 'ghost-{{comment_id}}';
            };
            (function() {
                var d = document, s = d.createElement('script');
                s.src = 'https://<YOUR DISQUS SHORTNAME>.disqus.com/embed.js';
                s.setAttribute('data-timestamp', +new Date());
                (d.head || d.body).appendChild(s);
            })();
        </script>
      </section>
   ```
4. Don't forget to modify the `s.src = 'https://<YOUR SITE'S DISQUS SHORTNAME>.disqus.com/embed.js';` to your disqus url.&#x20;

## Feature a Post on the Tag View

To make a post to be featured on tag view's header, add the following hidden tag to the post – **#tag-featured-post**.

## Social Media Icons

Icons for Facebook, Twitter, Behance, Dribbble, 500px, Github, Gmail, Instagram, Linkedin, Medium, Pinterest, Reddit, RSS, Tumblr, & Youtube are included in the theme. Icons for Facebook and Twitter are already implemented in the code. To activate icons for other social networks, insert the following code snippets in the respective files.

**In Footer.hbs**

```markup
<a href="" target="_blank">
   {{> "icons/dribbble"}}
</a>
```

**In Author.hbs**

```markup
<a class="link-with-svg" href="" target="_blank" rel="noopener">
      <span class="link-svg">
      {{> "icons/dribbble"}}
      </span>
      <span class="link-text">Dribbble</span>
</a>
```

If you require more icons, you may visit [Simple Icons](https://simpleicons.org/) and download the required icons.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stylesheets.dev/flamingo-ghost-theme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
